package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderCertificateVO {

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "唛头")
    private String marks;

    @ApiModelProperty(access = "发货人身份信息")
    private IDCardInfo cardInfo;

    @ApiModelProperty(access = "收货人身份信息")
    private IDCardInfo consigneeInfo;



    @Data
    public static class IDCardInfo {
        @ApiModelProperty(value = "身份证名称")
        private String cardName;

        @ApiModelProperty(value = "身份证号码")
        private String cardNo;

        @ApiModelProperty(value = "手机号")
        private String phone;
    }


}
